# Enum ZooKeeper.States

java.lang.Object
java.lang.Enum<ZooKeeper.States>
org.apache.zookeeper.ZooKeeper.States

All Implemented Interfaces:
  `Serializable, Comparable<ZooKeeper.States>`

Enclosing class:
  `ZooKeeper`

@Public public static enum ZooKeeper.States extends Enum<ZooKeeper.States>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ASSOCIATING`
`AUTH_FAILED`
`CLOSED`
`CONNECTED`
`CONNECTEDREADONLY`
`CONNECTING`
`NOT_CONNECTED`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAlive()`
`boolean`
`isConnected()`
Returns whether we are connected to a server (which could possibly be read-only, if this client is allowed to go to read-only mode)
`static ZooKeeper.States`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ZooKeeper.States[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CONNECTING

public static final ZooKeeper.States CONNECTING

### ASSOCIATING

public static final ZooKeeper.States ASSOCIATING

### CONNECTED

public static final ZooKeeper.States CONNECTED

### CONNECTEDREADONLY

public static final ZooKeeper.States CONNECTEDREADONLY

### CLOSED

public static final ZooKeeper.States CLOSED

### AUTH_FAILED

public static final ZooKeeper.States AUTH_FAILED

### NOT_CONNECTED

public static final ZooKeeper.States NOT_CONNECTED

## Method Details

### values

public static ZooKeeper.States[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ZooKeeper.States valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### isAlive

public boolean isAlive()

### isConnected

public boolean isConnected()
Returns whether we are connected to a server (which could possibly be read-only, if this client is allowed to go to read-only mode)